<?php

class WadminController extends AppController
{
	/**
	 *
	 * @return LYTmj
	 */
	public function getLayout(){
		if(!isset($this->_layout))
			$this->_layout = new LYTmj();
		
		return $this->_layout;
		
	}

	public function init(){

		parent::init();

		//Usuario::logout();
		if(Usuario::estaLogueado() ){

			$potencial = Usuario::getPotencialLogueado();

			$menu = new VstMenuHorizontal();
			
			switch ($potencial->getPerfilActivo()) {
				case Potencial::PERFIL_PROVEEDOR:
					$menu->addOpcion(new VstMenuOpcionHorizontal('VEHICULO', 'wvehiculo/listado'));
					$menu->addOpcion(new VstMenuOpcionHorizontal('CHOFER', 'wchofer/listado'));
					break;
				case Potencial::PERFIL_COMERCIAL:
					$menu->addOpcion(new VstMenuOpcionHorizontal('PRESUPUESTOS', 'wpresupuesto/listado'));
					$menu->addOpcion(new VstMenuOpcionHorizontal('SERVICIOS', 'wservicio/listado'));
					$menu->addOpcion(new VstMenuOpcionHorizontal('LIQUIDACIÓN', 'wliquidacion/listado'));					
					$menu->addOpcion(new VstMenuOpcionHorizontal('LLAMADAS', 'wllamada/listado'));
					break;
				case Potencial::PERFIL_ADMINISTRACION:
					$menu->addOpcion(new VstMenuOpcionHorizontal('TRABAJO', 'wservicio/trabajo'));
					break;
				default:
				$accion = $this->_request->getParam('action','');
				$controller = $this->_request->getParam('controller','');
				if ( $controller == 'wpersonal' && $accion == 'documentos' ) {
					$menu->addOpcion(new VstMenuOpcionHorizontal('DOCUMENTOS DE PERSONAL', 'wpersonal/documentos'));
				}		
			}
			$ly = $this->getLayout();
			if ($ly->reg_menu){
				$ly->reg_menu->addElement($menu);
			}

		}
		
	}
	 
	public static function appCargarElementospublicos(){
		
		AppLibreria::addCSS("bootstrap.min.css",'/app/css/');
		AppLibreria::addCSS("font-awesome.min.css",'/app/css/');
		AppLibreria::addCSS("smartadmin-production.css",'/app/css/');
		AppLibreria::addCSS("smartadmin-skins.css",'/app/css/');
		AppLibreria::addCSS("your_style.css",'/css/');
	
		AppLibreria::addJs('libs/jquery-2.0.2.min.js', '/app/js/', false);
		AppLibreria::addJs('libs/jquery-ui-1.10.3.min.js', '/app/js/', false);
		AppLibreria::addJs('bootstrap/bootstrap.min.js', '/app/js/', false);
		AppLibreria::addJs('encadapagina.js', '/app/js/', false);
		AppLibreria::addJs('jquery.zend.jsonrpc.js', '/app/js/', false);
		AppLibreria::addJs('json2.js', '/app/js/', false);
		AppLibreria::addJs('appGrid.js', '/app/js/', false);
	
		AppLibreria::addJsBody('notification/SmartNotification.min.js','/app/js/');
		AppLibreria::addJsBody('smartwidgets/jarvis.widget.min.js','/app/js/');
		AppLibreria::addJsBody('plugin/msie-fix/jquery.mb.browser.min.js','/app/js/');
		AppLibreria::addJsBody('app_navegacion.js', '/app/js/', false);
		AppLibreria::addJs('android.js','/js/',false);
	}
	
	
	public function iniciaMenuSuperior(){
		/*
		 $enlace = new VstEnlace('Usuarios', 'usuarios', 'listado');
		$this->_menu->addEnlace($enlace);
		$enlace = new VstEnlace('Eventos', 'evento', 'index');
		$this->_menu->addEnlace($enlace);

		$enlace = new VstEnlace('Segunda', 'index', 'index');
		$this->_menu->addEnlace($enlace);
		$enlace = new VstEnlace('Clientes', 'clientes', 'index');
		$this->_menu->addEnlace($enlace);
		$enlace = new VstEnlace('Perfiles', 'perfiles', 'index');
		$this->_menu->addEnlace($enlace);
		$enlace = new VstEnlace('Acl', 'acl', 'listado');
		$this->_menu->addEnlace($enlace);
		 
		$enlace = new VstEnlace('Planificacion', 'planificacion', 'index');
		$this->_menu->addEnlace($enlace);
		 
		$enlace = new VstEnlace('Configuracion', 'configuracion', 'index');
		$this->_menu->addEnlace($enlace);
		 
		$enlace = new VstEnlace('Salir', 'usuarios', 'logout');
		$this->_menu->addEnlace($enlace, false);
		 
		*/		 
	}

	
	public function verificacionAcl(){
		$accion = $this->_request->getParam('action','');
		$controller = $this->_request->getParam('controller','');
		//if(!Usuario::isLoggedIn() && !$tienePermiso){
		if(!Usuario::isLoggedIn() ){
			if($controller!='wusuarios' && $accion !='login'){
				$this->_redirect('wusuarios/login');
			}elseif($controller=='wusuarios' && ($accion =='logout' || $accion='login')){
				return true;
			}
			die('Sin permiso');
		}
	
		return true;
	}
	
	/*public function verificacionAcl(){
		//parent::verificacionAcl();
	}*/

}



